Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.builder.AbstractBuilder
              com.atlassian.bamboo.builder.AbstractMavenBuilder
                  com.atlassian.bamboo.builder.MavenBuilder
                      com.atlassian.bamboo.upgrader.VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder

All Implemented Interfaces:
  Builder

Enclosing class:
  VersionNineteenToVersionTwentyUpgrader

    public class VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder

extends MavenBuilder

Field Summary

Fields inherited from class com.atlassian.bamboo.builder.MavenBuilder
`KEY, KEY_PREFIX, NAME, PATHHELP`

Fields inherited from class com.atlassian.bamboo.builder.AbstractMavenBuilder
`CUSTOM_TEST_DIRECTORY_SELECTED, myGoal, myMavenHome, myTestDirectoryOption, PARAM_GOAL, PARAM_TEST_DIRECTORY_OPTION, STANDARD_TEST_DIRECTORY_SELECTED`

Fields inherited from class com.atlassian.bamboo.builder.AbstractBuilder
`builderManager, DEFAULT_TEST_REPORTS_XML, PARAM_BUILD_LABEL, PARAM_BUILDJDK, PARAM_ENV_VAR, PARAM_HASTESTS, PARAM_HOME, PARAM_TEST_RESULTS_DIRECTORY, PARAM_WORKING_SUB_DIR, pluginManager, templateRenderer, velocityManager`

Constructor Summary
`VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder()`

Method Summary
`String` | `getPath()` The home path of the builder's command line

Methods inherited from class com.atlassian.bamboo.builder.MavenBuilder
`addDefaultLabelPathMaps, getDefaultTestReportsDirectory, getExecutableFileName, getKey, getName, getPathHelp, getUrl`

Methods inherited from class com.atlassian.bamboo.builder.AbstractMavenBuilder
`addDefaultValues, getCommandLine, getFullParams, getGoal, getMavenExecutablePath, getTemplateContext, getTestDirectory, getTestResultsDirectory, hasPassed, isPathValid, setGoal, setParams, setTestDirectory, validate, validate`

Methods inherited from class com.atlassian.bamboo.builder.AbstractBuilder
`build, collateTestResults, customiseLabelPathMaps, filterParameters, getAdminConfig, getBuildJdk, getCompleteKey, getEditHtml, getEnvironmentVariables, getFilteredParams, getFreemarkerEditHtml, getLabel, getTestChecked, getViewHtml, getWorkingDirectory, getWorkingSubDirectory, hasTests, init, isLabelPathMapConfigurable, outputEndsWith, setAdminConfig, setBuildDir, setBuilderManager, setBuildJdk, setEnvironmentVariables, setHasTests, setLabel, setPluginManager, setTemplateRenderer, setTestChecked, setTestResultsDirectory, setVelocityManager, setWorkingSubDirectory, toString, validate`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder

    public VersionNineteenToVersionTwentyUpgrader.CustomMavenBuilder()

Method Detail

### getPath

    public String getPath()

  Description copied from interface: `Builder`
  The home path of the builder's command line

  Specified by:
    `getPath` in interface `Builder`
  Overrides:
    `getPath` in class `MavenBuilder`
  Returns:
    The path

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.